gr::baz::fractional_resampler_ff Class Referenceabstract

resampling MMSE filter with complex input, complex output More...

`#include <baz_fractional_resampler_ff.h>`

Inheritance diagram for gr::baz::fractional_resampler_ff:
[legend]

## Public Types

typedef boost::shared_ptr< fractional_resampler_ff > | sptr

## Public Member Functions

virtual long double | mu () const =0
virtual long double | resamp_ratio () const =0
virtual void | set_mu (long double mu)=0
virtual void | set_resamp_ratio (long double resamp_ratio)=0
virtual void | set_resamp_ratio (double resamp_ratio)=0

## Static Public Member Functions

static sptr | make (double phase_shift, double resamp_ratio)
| Build the resampling MMSE filter (complex input, complex output)

## Detailed Description

resampling MMSE filter with complex input, complex output

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<fractional_resampler_ff> gr::baz::fractional_resampler_ff::sptr

## Member Function Documentation

## make()

sptr gr::baz::fractional_resampler_ff::make | ( | double | phase_shift,
|  | double | resamp_ratio )

static

Build the resampling MMSE filter (complex input, complex output)

Parameters

  phase_shift | The phase shift of the output signal to the input
  resamp_ratio | The resampling ratio = input_rate / output_rate.

References resamp_ratio().

## mu()

virtual long double gr::baz::fractional_resampler_ff::mu | ( |  | ) | const

pure virtual

Referenced by set_mu().

## resamp_ratio()

virtual long double gr::baz::fractional_resampler_ff::resamp_ratio | ( |  | ) | const

pure virtual

Referenced by make(), set_resamp_ratio(), and set_resamp_ratio().

## set_mu()

virtual void gr::baz::fractional_resampler_ff::set_mu | ( | long double | mu | ) |

pure virtual

References mu().

## set_resamp_ratio() [1/2]

virtual void gr::baz::fractional_resampler_ff::set_resamp_ratio | ( | double | resamp_ratio | ) |

pure virtual

References resamp_ratio().

## set_resamp_ratio() [2/2]

virtual void gr::baz::fractional_resampler_ff::set_resamp_ratio | ( | long double | resamp_ratio | ) |

pure virtual

References resamp_ratio().

The documentation for this class was generated from the following file:

- baz_fractional_resampler_ff.h